#import "GLGravityView.h"

#import "AppController.h"

#include <stdio.h>

#define kRenderingFrequency			30.0 // Hz

@implementation AppController

- (void)applicationDidFinishLaunching:(UIApplication*)application
{
	CGRect					rect = [[UIScreen mainScreen] bounds];

	//Create a full-screen window
	window = [[UIWindow alloc] initWithFrame:rect];

	//Create the OpenGL ES view and add it to the window
	GLGravityView *glView = [[GLGravityView alloc] initWithFrame:rect];
	[window addSubview:glView];

	glView.animationInterval = 1.0 / kRenderingFrequency;
	[glView startAnimation];

	[glView release];
	
	//Show the window
	[window makeKeyAndVisible];
}

- (void)dealloc
{
	fprintf(stderr,"Closing down\n");
	[window release];
	[super dealloc];
}

@end

int gAppAlive;